%global srcname ntlm-auth
%global pypi_name %{srcname}
%global gh_owner jborean93
%global library_name ntlm_auth
Name:                python-%{srcname}
Version:             1.5.0
Release:             1
Summary:             Python 3 compatible NTLM library
License:             MIT
URL:                 https://pypi.python.org/pypi/%{pypi_name}
Source0:             https://github.com/%{gh_owner}/%{pypi_name}/archive/v%{version}.tar.gz#/%{srcname}-%{version}.tar.gz
BuildArch:           noarch
BuildRequires:       python3-setuptools python3-devel python3-pytest python3-requests
BuildRequires:       python3dist(cryptography)
%description
 This package allows Python clients running on any operating system to provide
NTLM authentication to a supporting server.

%package -n     python3-%{srcname}
Obsoletes:           python3-ntlm3 < 1.0.3-1
Provides:            python3-ntlm3 = %{version}-%{release}
Summary:             Python 3 compatible NTLM library
%{?python_provide:%python_provide python3-%{srcname}}
%description -n python3-%{srcname}
 This package allows Python clients running on any operating system to provide
NTLM authentication to a supporting server.

%prep
%autosetup -n %{pypi_name}-%{version} -p1
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
%{__python3} -m pytest --ignore=tests/functional/test_iis.py tests

%files -n python3-%{srcname}
%doc CHANGES.md README.md
%license LICENSE
%{python3_sitelib}/%{library_name}
%{python3_sitelib}/%{library_name}-%{version}-py?.?.egg-info

%changelog
* Mon Oct 17 2022 xu_ping <xuping33@h-partners.com> - 1.5.0-1
- Upgrade to version 1.5.0

* Mon May 17 2021 Pengju Jiang <jiangpengju2@huawei.com> - 1.1.0-1
- package init
